Page MenuHomePhabricator

Bump running text size up slightly on print stylesheets
Closed, ResolvedPublic

Description

As of now, the size for running text p on print is set to 10pt. This is on the low end for readable print recommendations and has been altered from the original typography proposals (being 12pt and general recommendation 10-12pt) by @Nirzar on https://phabricator.wikimedia.org/T135022#2672465.

In contrast to web browsers, there's no simple ability to increase the text size for users who are printing in adaptable design. We should consider bumping running text size sligthly up to find a good compromise.

Current code

	h2 {
		font-size: 18pt;
		line-height: 24pt;
		margin-bottom: 0.25em;
	}

	h3 {
		font-size: 13pt;
		line-height: 20pt;
	}

	h4,
	h5,
	h6 {
		font-size: 10pt;
		line-height: 15pt;
	}

	p {
		font-size: 10pt;
		line-height: 16pt;
		margin-top: 5px;
		text-align: justify;
	}

Details

Related Gerrit Patches:

Event Timeline

Volker_E triaged this task as Medium priority.Dec 18 2017, 1:44 AM
Volker_E created this task.
alexhollender added a subscriber: alexhollender.

@Volker_E any ideas on how to test/experiment with this? Are you able to provide a comparison?

Aklapper removed Nirzar as the assignee of this task.Nov 4 2019, 10:19 AM

Removing @Nirzar as assignee, as that account has been disabled.

@alexhollender Picking this up again after the ping today:

Current (10pt)Proposed (12pt)

The proposal isn't based on comparing a number of books or encyclopedias, it is based on general expertise with readability of text. 10pt is definitely the lowest option and while we've got a lot of textual content, for accessibility reasons and in reference to our general audience needs we should increase the base size.

I agree that we should increase to 12pt

Volker_E updated the task description. (Show Details)Nov 8 2019, 10:14 PM

Change 549943 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Bump running text to more generally readable 12pt

https://gerrit.wikimedia.org/r/549943

This also implies bumping up h4s, h5s and h6s slightly, while we're coming close to h3s 13pt with the current patch…

Jdrewniak renamed this task from Bump running text size up slightly to Bump running text size up slightly on print stylesheets.Nov 12 2019, 10:28 AM

Change 549943 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Bump running text to more generally readable 12pt on print stylesheet

https://gerrit.wikimedia.org/r/549943

As this just affects print styles, I didn't see the harm in merging the proposed patch. Moving to design review in case @alexhollender has any comments on this. (Merged patch should be visible on the beta cluster).

Volker_E added a comment.EditedNov 18 2019, 10:20 PM

The last patch concerns the now necessary bump of h3s with 12pt running text from https://gerrit.wikimedia.org/r/549943 in place, going for the heading from 13pt to 14pt

BeforeAfter

Change 551661 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Bump h3 to 14pt to set apart from running text

https://gerrit.wikimedia.org/r/551661

Change 551661 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Bump h3 to 14pt to set apart from running text

https://gerrit.wikimedia.org/r/551661

Volker_E closed this task as Resolved.Nov 19 2019, 3:15 AM
Volker_E claimed this task.